<?php
/*
Plugin Name: Custom Cart Button with Grey Checkmark (Optimized)
Description: A custom shortcode for an Add to Cart button with a grey checkmark.
Version: 1.0
Author: Webdesign OWL
*/

// Your custom shortcode function
function custom_add_to_cart_button($atts) {
    $product_id = intval($atts['id'] ?? 0);

    if ($product_id === 0) {
        return 'Product ID not provided.';
    }

    $product = wc_get_product($product_id);
    $price = wc_price($product->get_price());

    ob_start();
    ?>
    <style>
        /* Add this CSS to change cursor to pointer on hover */
        .custom-add-to-cart button#add-to-cart-button {
            cursor: pointer;
        }
        .custom-add-to-cart .checkmark {
            display: none; /* Initially hide the checkmark */
        }
    </style>
    <div class="custom-add-to-cart">
        <?php echo $price . ' p. P.'; // Display the price with the label ?>
        <form action="javascript:void(0);" class="cart" onsubmit="customAddToCart(this);">
            <input type="number" name="quantity" value="1" min="1" />
            <input type="hidden" name="add-to-cart" value="<?= $product_id ?>" />
            <button type="submit" class="single_add_to_cart_button button alt" id="add-to-cart-button">
                Hinzufügen
                <span class="checkmark">✔</span> <!-- Grey checkmark icon -->
            </button>
        </form>
    </div>
    <script>
        function customAddToCart(form) {
            var data = new FormData(form);
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function () {
                if (xhr.readyState === 4 && xhr.status === 200) {
                    // You can do something with the response if needed
                    console.log(xhr.responseText);
                }
            };

            xhr.open('POST', '<?= admin_url('admin-ajax.php'); ?>');
            xhr.send(data);

            // Show the checkmark after the button is clicked
            form.querySelector('.checkmark').style.display = 'inline';

            return false; // Prevent the default form submission
        }
    </script>
    <?php
    return ob_get_clean();
}
add_shortcode('custom_add_to_cart', 'custom_add_to_cart_button');